YOCTO building fsl-release-qt5 image, issue with python dependency?

cancel
Showing results for 
Search instead for 
Did you mean: 

YOCTO building fsl-release-qt5 image, issue with python dependency?

4,488 Views
jingyizhang
Contributor I

Hi,

I downloaded the fsl-L3.14.28_1.0.0_iMX6qdls_Bundle package from freescale,

and tried to follow the Freescale_Yocto_Project_User's_Guide.pdf to build a fsl-release-qt5 image for imx6qsabresd board.

I modified the local.conf file to include opencv libs, following this tutorial:

Computer Vision on i.MX Processors: Building OpenCV-2.4.X for Freescale's i.MX6 BSP (Yocto)

when I try to bitbake, I get the following error:

$:.../fsl-release-bsp/build-x11$ bitbake fsl-image-qt5

ERROR: Layer 'networking-layer' depends on layer 'meta-python', but this layer is not enabled in your configuration

I tried removing the opencv modifications by rerunning the environment setup script so I have a fresh conf file, but still get the same error.

Any help would be greatly appreciated.

0 Kudos
1 Reply

1,737 Views
jingyizhang
Contributor I

Update:

Adding this line:

BBLAYERS += " ${BSPDIR}/sources/meta-openembedded/meta-python "

to file bblayers.conf in ../build/conf/ directory seems to get me pass this dependency issue.

0 Kudos